The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a database and tools to fix them.

vulnerability announce CVE-2015-1170

Windows: privilege escalation via NVIDIA Display Driver

Synthesis of the vulnerability

A local attacker can use an NVIDIA Display Driver on Windows, in order to escalate his privileges.
Vulnerable systems: Windows 2008 R0, Windows 2008 R2, Windows 7, Windows Vista, Windows XP.
Severity of this threat: 2/4.
Consequences of an attack: administrator access/rights, privileged access/rights.
Pirate's origin: user shell.
Creation date: 03/03/2015.
Références of this weakness: 3634, CERTFR-2015-AVI-083, CVE-2015-1170, VIGILANCE-VUL-16292.

Description of the vulnerability

NVIDIA products require a driver which have to be installed on Windows:
 - GeForce Notebook, Quadro, NVS Notebook
 - GeForce Desktop
 - Quadro, NVS Workstation
 - GRID baremetal, GPU passthrough
 - GRID virtual GPU (vGPU)

However, an attacker can use this driver, to access to privileged resources.

A local attacker can therefore use an NVIDIA Display Driver on Windows, in order to escalate his privileges.
Full Vigil@nce bulletin... (Free trial)

Computer vulnerabilities tracking service

Vigil@nce provides an applications vulnerabilities alert. The Vigil@nce team tracks computer vulnerabilities impacting systems and applications. The Vigil@nce security watch publishes vulnerability bulletins about threats impacting the information system. The Vigil@nce computer vulnerability tracking service alerts your teams of vulnerabilities or threats impacting your information system.